PythonOCC Help!! Creating a propeller blade from 3d airfoil data

Forums: 

Hello,

I am new to PythonOCC. Currently, I am working on a project where I need to build a 3D blade from airfoil data.

There are 10 airfoils in the Excel file. After exporting the 3D coordinate points for all the airfoils (each airfoil has 199 data points with x,y, and z coordinates), I create wires through them and then use the Thrusections functions to create the solid. I have written the code, and it is creating a solid. However, there are some inaccuracies in the model due to improper wire creation.

I suspect that I am not using the right functions to create this object, resulting in the error.

I have attached a screenshot of the blade for reference.

List of functions I am using:

from OCC.Core.BRepBuilderAPI import BRepBuilderAPI_MakeEdge, BRepBuilderAPI_MakeWire
from OCC.Core.BRepOffsetAPI import BRepOffsetAPI_ThruSections
from OCC.Core.GeomAPI import GeomAPI_Interpolate
from OCC.Core.TColgp import TColgp_HArray1OfPnt
from OCC.Core.gp import gp_Pnt
from OCC.Display.SimpleGui import init_display
from OCC.Extend.DataExchange import write_step_file
from OCC.Core.BRepCheck import BRepCheck_Analyzer
from OCC.Core.BRepBuilderAPI import BRepBuilderAPI_MakeVertex
from OCC.Core.TopExp import TopExp_Explorer
from OCC.Core.TopAbs import TopAbs_VERTEX

I have also attached my code. I would be very grateful if you guys could help me with this.

Attachments: